Package org.jboss.resteasy.core.request

## Class VariantQuality

- java.lang.Object
- - org.jboss.resteasy.core.request.VariantQuality

-     public class VariantQuality
      extends Object

  A individual variant quality bean for the RVSA (Remote Variant Selection Algorithm).
  Author:
    Pascal S. de Kloe
  See Also:
    "RFC 2296"

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariantQuality()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BigDecimal` | `getOverallQuality()` |
    `javax.ws.rs.core.MediaType` | `getRequestMediaType()` |
    `void` | `setCharacterSetQualityValue​(QualityValue value)` |
    `void` | `setEncodingQualityValue​(QualityValue value)` |
    `void` | `setLanguageQualityValue​(QualityValue value)` |
    `void` | `setMediaTypeQualityValue​(QualityValue value)` |
    `void` | `setRequestMediaType​(javax.ws.rs.core.MediaType requestMediaType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariantQuality

          public VariantQuality()

  - ### Method Detail

    - #### setMediaTypeQualityValue

          public void setMediaTypeQualityValue​(QualityValue value)

    - #### setCharacterSetQualityValue

          public void setCharacterSetQualityValue​(QualityValue value)

    - #### setEncodingQualityValue

          public void setEncodingQualityValue​(QualityValue value)

    - #### setLanguageQualityValue

          public void setLanguageQualityValue​(QualityValue value)

    - #### getRequestMediaType

          public javax.ws.rs.core.MediaType getRequestMediaType()

    - #### setRequestMediaType

          public void setRequestMediaType​(javax.ws.rs.core.MediaType requestMediaType)

    - #### getOverallQuality

          public BigDecimal getOverallQuality()

      Returns:
        the quality value between zero and one with five decimal places after the point.
      See Also:
        "3.3 Computing overall quality values"